<?php

/**
 * @file
 * Contains \Drupal\futurama\Plugin\Block\FuturamaBlock
 */

namespace Drupal\futurama\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\block\Annotation\Block;
use Drupal\Core\Annotation\Translation;

/**
 * Provides a 'Futurama' block.
 *
 * @Block (
 *  id = "futurama_block",
 *  admin_label = @Translation("Futurama quote of the day"),
 *  module = "futurama"
 *  )
 */
class FuturamaBlock extends BlockBase {
  public function build() {
    $futurama_title_captions = futurama_title_captions();
    $rand = array_rand($futurama_title_captions, 1);
    return array(
      '#markup' => $futurama_title_captions[$rand],
    );
  }
}
